﻿/* =bug =mobile: spostamento laterale del contentuto */
.ppcol-md-3.sidebar {
    padding-left: 0
}

.none {
    display: none;
}

.sidebar-wrapper-template {
    position: relative;
    /* =bug =mobile: spostamento laterale del contentuto */
    margin-left: 0;
    margin-right: 0;
}
    /* =bug =mobile: spostamento laterale del contentuto */
    .sidebar-wrapper-template .pprow {
        margin-left: 0;
        margin-right: 0;
    }
    /* =bug =mobile: spostamento laterale del contentuto */
    .sidebar-wrapper-template .ppcol-sm-12,
    .sidebar-wrapper-template .ppcol-md-10 {
        padding-left: 0;
        padding-right: 0;
    }


.sidebar aside {
    position: absolute;
    z-index: 15;
    top: 0;
    display: none;
    width: 280px;
    background-color: #fff;
    transition: left .4s linear, opacity .4s linear;
    overflow-y: hidden;
    padding: 20px 0 20px 0;
}

.sidebar.sidebar aside.shown-sidebar {
    display: block;
}

.sidebar aside > div {
    width: 100%;
    margin: 0;
}


.sidebar__link--hover :hover {
    text-decoration: underline;
}


.sidebar__show-more--italic {
    font-style: italic;
}

/* =title */
.mdl-colsx .accordion .panel-heading .accordion-toggle .more-less:after {
    font-family: 'icomoon';
    content: " \edff";
    font-size: 14px;
    color: inherit;
}

.mdl-colsx .accordion .panel-heading .accordion-toggle.collapsed .more-less:after {
    font-family: 'icomoon';
    content: " \edfe";
    font-size: 14px;
    color: inherit;
}


.mdl-colsx .more-less_arancio.more-less_arancio {
    color: #eb5e46;
}

.accordion-toggle > .linea.linea.linea,
.accordion-toggle > .linea .gray {
    display: none;
}

.accordion-toggle.collapsed > .linea.linea.linea,
.accordion-toggle.collapsed > .linea .gray {
    display: block;
}


.accordion-toggle.collapsed > .linea .gray {
    width: 100%;
    background-color: #ccc;
    height: 1px;
}


.sidebar__hamburger {
    display: inline-block;
    background: url(/Content/images/icoMenuLeft_w.png);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 25px 21px;
    position: relative;
    z-index: 1;
    width: 25px;
}

.sidebar__title {
    display: inline-block;
    vertical-align: top;
    color: #fff;
}

.sidebar__menu a {
    display: flex;
    padding: 8px 4px;
    text-decoration: none;
}


    .sidebar__menu a span {
        display: inline-block;
        margin-top: 7px;
        margin-left: 16px;
        height: 25px;
        line-height: 25px;
    }


/* =bug: evita underline del titolo */
.panel-heading .panel-title > a {
    text-decoration: none;
}


.mdl-colsx {
    margin-right: 20px;
    margin-left: 20px;
}

.all-filter {
    font-size: 12px !important;
}



/*****************************
    OTTIMIZZAZIONI  =mobile
******************************/
@media only screen and (max-width: 1023px) {

    .sidebar aside {
        max-width: 600px;
    }

    .sidebar-wrapper-template .row {
        margin-right: 0;
        margin-left: 0;
    }

    .mdl-colsx li.all-filter.all-filter {
        list-style-type: none;
    }


    .sidebar__close {
        padding: 16px;
        z-index: 10;
        content: ' ';
        width: 10px;
        height: 10px;
        display: block;
        position: absolute;
        right: 0px;
        top: 2px;
        background-image: url(/Content/images/mobile-menu/chiudi.svg);
        background-size: 10px 10px;
        background-repeat: no-repeat;
        background-position: center center;
        background-color: #004141;
        cursor: pointer;
        margin: 2px;
    }

    .sidebar__menu a span {
        display: inline-block;
        margin-top: 6px;
        margin-left: 4px;
        height: 14px;
        line-height: 14px;
    }


        .sidebar__menu a span:first-child {
            margin-left: 14px;
        }

        .sidebar__menu a span.sidebar__title {
            height: auto;
        }

    .sidebar aside {
        -moz-box-shadow: 10px 0px 20px 5px rgba(0,0,0,0.20);
        box-shadow: 10px 0px 20px 5px rgba(0,0,0,0.20);
        border-right: 1px solid #ccc;
    }



    .sidebar__menu {
        background-color: transparent;
        box-shadow: 1px;
        border-bottom: 1px solid #ccc;
    }

    .sidebar__hamburger {
        display: inline-block;
        background: url(https://www.ibs.it/assets/2018/04/20180424023228-icomenuleftmenu2-.png);
        background-position: center center;
        background-repeat: no-repeat;
        background-size: 20px 16px;
        position: relative;
        z-index: 1;
        width: 25px;
        color: #292929;
    }

    .sidebar__title {
        display: inline-block;
        vertical-align: top;
        color: #292929;
        font-weight: 600;
        padding-top: 1px;
    }
}

/***********************
    DESKTOP
************************/
@media only screen and (min-width: 1024px) {

    #sidebar--id {
        display: none;
    }

    .sidebar.sidebar aside {
        padding-top: 95px;
        position: relative;
        background-color: transparent;
        display: block;
        left: 0;
        overflow: hidden;
        background-color: transparent;
        width: 100%;
    }

    .sidebar__close {
        display: none;
    }


    .mdl-colsx .accordion .panel-heading .accordion-toggle .more-less:after {
        font-size: 12px;
    }

    .mdl-colsx .accordion .panel-heading .accordion-toggle.collapsed .more-less:after {
        font-size: 12px;
    }
}


@media only screen and (min-width: 1024px) {
    .sidebar.sidebar aside {
        padding-top: 85px !important;
        background-color: #FFF;
        -webkit-box-shadow: 0px 1px 1px 0px rgba(0, 0, 0, 0.2);
        -moz-box-shadow: 0px 1px 1px 0px rgba(0, 0, 0, 0.2);
        box-shadow: 0px 1px 1px 0px rgba(0, 0, 0, 0.2);
    }
}

@media (max-width: 768px) {
    .sidebar__menu {
        -webkit-box-shadow: inset 0px 0px 30px 5px rgba(0, 0, 0, 0.1);
        -moz-box-shadow: inset 0px 0px 30px 5px rgba(0, 0, 0, 0.1);
        box-shadow: inset 0px 0px 30px 5px rgba(0, 0, 0, 0.1);
    }
}


/* SPALLA SINISTRA STATICA */
.mdl-colsx .title-colsx h4 {
    font-weight: 700;
}

.mdl-colsx .title-colsx h4 {
    font-weight: 600;
    font-size: 14px;
    line-height: 1.1em;
    text-align: left;
    text-transform: uppercase;
    margin: 0;
    padding-right: 4px;
}

/*  Struttura   */

.mdl-colsx {
    margin-bottom: 10px;
}

    /*  Testi   */

    .mdl-colsx .title-colsx {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
    }

        .mdl-colsx .title-colsx h4 {
            font-weight: 600;
            font-size: 14px;
            line-height: 1.1em;
            text-align: left;
            text-transform: uppercase;
            margin: 0;
            padding-right: 4px;
        }

        .mdl-colsx .title-colsx a:focus {
            text-decoration: none;
        }

        .mdl-colsx .title-colsx + .linea {
            height: 2px;
            display: flex;
            align-items: center;
            margin-bottom: 6px;
            margin-top: 2px;
        }

    .mdl-colsx .lineab {
        height: 2px;
        display: flex;
        align-items: center;
        margin-bottom: 6px;
        margin-top: 2px;
    }


    .mdl-colsx .linea .azzurro {
        width: 16px;
        margin-right: 10px;
        background-color: #0aa5b3;
        height: 2px;
    }


    .mdl-colsx .linea .arancio {
        width: 16px;
        margin-right: 10px;
        background-color: #eb5e46;
        height: 2px;
    }

    .mdl-colsx .linea .gray {
        width: 100%;
        background-color: #ccc;
        height: 1px;
    }

    .mdl-colsx .lineab .azzurro {
        width: 16px;
        margin-right: 10px;
        background-color: #0aa5b3;
        height: 2px;
    }


    .mdl-colsx .lineab .arancio {
        width: 16px;
        margin-right: 10px;
        background-color: #eb5e46;
        height: 2px;
    }

    .mdl-colsx .lineab .gray {
        width: 100%;
        background-color: #ccc;
        height: 1px;
    }

    .mdl-colsx .colsx_close .linea, .mdl-colsx .colsx_open .linea {
        display: none;
    }

    .mdl-colsx .colsx_open.collapsed .title-colsx + .linea, .mdl-colsx .colsx_close.collapsed .title-colsx + .linea {
        display: flex;
    }



    /*  Elenco   */

    .mdl-colsx .accordion li {
        font-size: 6px;
    }

        .mdl-colsx .accordion li:first-child {
            padding-top: 6px;
        }

        .mdl-colsx .accordion li:last-child {
            padding-bottom: 10px;
        }

    .mdl-colsx.titoloSpalla {
        display: none;
    }

    .mdl-colsx .par_colsx_txt {
        padding-bottom: 6px;
    }

    .mdl-colsx a.linkcontent {
        width: 100%;
        display: block;
        color: #007286;
    }

        .mdl-colsx a.linkcontent span {
            width: 100%;
            display: block;
        }

    .mdl-colsx a.arancio {
        color: #eb5e46 !important;
    }


    .mdl-colsx .linkcontent {
        font-size: 13px;
        line-height: 1.1em;
    }

    /*  Immagine   */

    .mdl-colsx .colsx_container img {
        width: 36%;
        margin-bottom: 4px;
        -webkit-border-radius: 50%;
        -moz-border-radius: 50%;
        border-radius: 50%;
    }

.colsx_container .img_txtelement p {
    font-size: 12px;
    line-height: 1.1em;
    margin-bottom: 6px;
    margin-top: -6px;
}

.colsx_container a.img_txtelement {
    color: #007286;
}


/*  Accordion   */

.mdl-colsx .par_colsx_elenco, .mdl-colsx .accordion {
    padding-bottom: 8px;
}

.mdl-colsx .panel-heading {
    background-color: transparent !important;
    color: #292929 !important;
}

.mdl-colsx .panel-title {
    margin-top: 0;
    margin-bottom: 0;
    font-size: inherit;
    color: inherit;
}

.mdl-colsx .panel-heading {
    padding: 0;
    border-bottom: 0;
    border-top-right-radius: 0;
    border-top-left-radius: 0;
}

.mdl-colsx .panel-body {
    padding: 0;
}

.mdl-colsx .accordion .panel-heading .accordion-toggle .more-less:after {
    font-family: 'icomoon' !important;
    content: " \edff";
    font-size: 12px;
}

.mdl-colsx .accordion .panel-heading .accordion-toggle.collapsed .more-less:after {
    font-family: 'icomoon' !important;
    content: " \edfe";
    font-size: 12px;
}

.mdl-colsx .more-less_azzurro {
    color: #0aa5b3;
}

.mdl-colsx .more-less_arancio {
    color: #eb5e46;
}

/*  Elenco 2   */

.mdl-colsx .linkcontent3 {
    font-size: 16px;
    line-height: 1.1em;
    font-weight: 600;
}

.par_colsx_txt a.txt_verdone {
    color: #007286;
}


.par_colsx_txt a.txt_arancio {
    color: #eb5e46;
}


/*  MOBILE   */

@media (max-width: 1023px) {


    .mdl-colsx.titoloSpalla {
        display: block;
        font-family: 'Open Sans Condensed',sans-serif !important;
        font-size: 20px !important;
        line-height: 1.1em;
        padding: 0px;
        font-weight: 600;
    }

    .mdl-colsx .accordion .panel-heading .accordion-toggle .more-less:after {
        font-size: 14px;
    }

    .mdl-colsx .accordion .panel-heading .accordion-toggle.collapsed .more-less:after {
        font-size: 14px;
    }

    .accordion .panel-collapse > .panel-body {
        padding: 0 !important;
    }

    .mdl-colsx {
        margin-bottom: 0;
    }

        .mdl-colsx .title-colsx + .linea {
            margin-top: 0px;
        }

        .mdl-colsx .title-colsx h4 {
            font-size: 14px;
        }

        .mdl-colsx .linkcontent3 {
            font-size: 14px;
        }

        .mdl-colsx .colsx_container img {
            width: 30%;
        }
}
